#DX-HARDWARE
# The first line is not a comment, but says what type of
# hardware that will be used.
# 
# This is a comment "#"
# All lines below that starts with "#" are comments.
# 
# This file was created with Dishostseditor version 4.0.4 ( rev 30691 Fri Nov  4 08:41:03 CDT 2011 )
# 
NETWORKMANAGER_CONF_VERSION 1;
#
# This file controls the Dolphin Network Manager behaviour
# It must be properly edited and placed in:
# LINUX: /etc/dis/networkmanager.conf
# Windows: \WINDOWS\system32\etc\dis\networkmanager.conf
# before starting the Dolphin Network Manager.
# See http://www.dolphinics.com/support/installation.html for details
#
# The Network Manager also requires a correct 
# LINUX:/etc/dis/dishosts.conf
# Windows: \WINDOWS\system32\etc\dis\dishosts.conf
#
# Key Product features
# Graphical GUI, available on most popular platforms. 
# Simplified diagnostic 
# Supports multiple concurrent fabrics
# Open source (GPL)  
#
# The Node Manager, Network Manager and Admin form the Interconnect Manager.
# The three modules communicate via TCP/IP. The frontend running Admin and 
# Network Manager can be a sepearte machine or one of the machines in the cluster. 
# Typically each node runs Node Manager locally. Network Manager controls all 
# the Node Managers of one system. The Admin is used to control the 
# Network Manager and graphically displays the information the Network Manager holds.
#
# The Node Manager is started on all nodes in the system, while there is only one 
# instance of Network Manager and Admin. 
#
#
# All valid configuration options ends with an ; Lines containing spaces are ignored.
#
# Number of nodes in X Dimension. If you are not using a switch then please
# specify number of nodes as X Dimension nodes here.
#
-dimensionX 0;

# Number of nodes in Y Dimension. 
# Number of nodes in X Dimension. If you are a switch then please
# specify number of nodes as Y Dimension nodes here.

-dimensionY 1;

# Number of nodes in Z Dimension. 

-dimensionZ 0;

# The 2D and 3D Torus SCI network, has redundant paths in a single network.
# This means that network failures (bad machines/cables/cards etc) can be bypas$
# and isolated by rerouting the network through a different part of the Torus.
#
# Enable automatic failure recovery - recommended setting
-auto;

# Typically each node runs SCINodeManager locally.
# SCINetworkManager controls all the SCINodeManagers of one system.
# Set the configure option to scinetworkmanager to configure nodeids
# on all nodes in the system based on the hostname - nodeid settings in
# dishosts.conf on the machine running scinetworkmanager.
#
# Configure cards if needed - recommended setting
-configure;

# Specify distribution of dishosts.conf from front-end to nodes.

-distribute;

# -sctt   <topology type>  : Set cluster topology
# topology types : 
#  2 : Set topology: Direct 2 nodes
#  3 : Set topology: Direct 3 nodes
#  9 : Set Standard Switch topology
#
# This option sets the topology on all the cards in the cluster.
# Override default topology set on the nodes.

-sctt 4;

# The managerinterval option determines how often scinetworkmanager 
# polls the nodes for status changes. Minimum 1 second.
# Specify Network Manager refresh rate.

-managerinterval 5;

# The admininterval determines how often sciadmin is notified about
# the scinetworkmanager status.
# Specify Admin (GUI) refresh rate.

-admininterval 60;

# The nodemanager will autmatically create sessions to all reachable nodes 
# if the -session option is specified.

-session;

#end
